Subject: [PATCHv3 0/2] git-gui: (un)stage a range of changes at once

From: [email-masked]
Date: Mon, 7 Dec 2009 18:22:41 -0600

From: Jeff Epler <[email-masked]>

This set of patches allows git-gui to stage multiple lines at once by
selecting the range and then using the "apply lines" item in the context
menu.

Compared to the earlier versions, I've fixed all the bugs I became aware of.
I've also added the missing signed-off-by.

The first patch fixes an existing bug in git-gui when staging a deletion
followed by another deletion followed by the end of the file.

Jeff Epler (2):
  Fix applying a line when all following lines are deletions
  Make it possible to apply a range of changes at once

 git-gui.sh   |   15 +++-
 lib/diff.tcl |  241 ++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 153 insertions(+), 103 deletions(-)